import java.awt.*;

public class DancingCircle implements ActingShape
{
   protected int x, y;
   protected int radius;
   
   protected int state = 0;
   
   public DancingCircle( int x, int y, int radius )
   {
      this.x = x;
      this.y = y;
      this.radius = radius;
   }
   
   public void setXY( int x, int y )
   {
      this.x = x;
      this.y = y;
   }
   
   public int getX()
   {
      return x;
   }
   
   public int getY()
   {
      return y;
   }
   
   public void draw( Graphics g )
   {
      g.drawOval( x - radius, y - radius, 
                  2 * radius, 2 * radius );
   }
   
   public void act()
   {
      state = (state + 1) % 2;
      switch( state )
      {
         case 0: radius = radius / 2;
                 x = x - 10;
                 y = y + 10;
                 break;
         case 1: radius = radius * 2;
                 x = x + 10;
                 y = y - 10;
                 break;
      }
   }
}